package sra.smalltalk;

/**
 * DependentEvent class
 * 
 * 	@author:    MATSUDA Ryouichi
 * 	@created:   1999/06/24 (by MATSUDA Ryouichi)
 * 	@updated:   N/A
 * 	@version:   3.2
 * 	@JDK:       1.1.6 or higher
 * 	@copyright: 1999-2000 SRA (Software Research Associates, Inc.)
 * 
 * 	$Id: DependentEvent.java,v 3.2 2000/04/20 09:09:36 nisinaka Exp $
 */
public class DependentEvent extends java.util.EventObject {
	protected StSymbol aspect;
	protected Object parameter;
	/**
	 * 
	 * @param source java.lang.Object
	 * @param anAspect sra.smalltalk.StSymbol
	 * @param aParameter java.lang.Object
	 */
	public DependentEvent(Object source, StSymbol anAspect, Object aParameter) {
		super(source);
		aspect = anAspect;
		parameter = aParameter;
	}
	/**
	 * 
	 * @return sra.smalltalk.StSymbol
	 */
	public StSymbol getAspect() {
		return aspect;
	}
	/**
	 * 
	 * @return java.lang.Object
	 */
	public Object getParameter() {
		return parameter;
	}
}