package sra.smalltalk;

import java.util.*;
/**
 * StButtonGroup class
 * 
 * 	@author:    MATSUDA Ryouichi
 * 	@created:   1999/09/16 (by MATSUDA Ryouichi)
 * 	@updated:   N/A
 * 	@version:   3.2
 * 	@JDK:       1.1.6 or higher
 * 	@copyright: 1999-2000 SRA (Software Research Associates, Inc.)
 * 
 * 	$Id: StButtonGroup.java,v 3.2 2000/04/20 09:09:36 nisinaka Exp $
 */
public class StButtonGroup {
	private Vector radioButtons = new Vector();
	private StRadioButtonMenuItem selection = null;
	/**
	 * Creates a new StMenuButtonGroup.
	 */
	public StButtonGroup() {
		super();
	}
	/**
	 * Adds the button to the group.
	 */ 
	public void add(StRadioButtonMenuItem b) {
		radioButtons.addElement(b);
		if(selection == null && b.isSelected()) {
			selection = b;
		}
		b.setGroup(this);
	}
	/**
	 * @param anItem sra.smalltalk.StRadioButtonMenuItem
	 */
	void setSelection(StRadioButtonMenuItem anItem) {
		if (selection != anItem) {
			if (selection != null) {
				selection.selected_(false);
			}
			selection = anItem;
			selection.selected_(true);
		}
	}
}