package sra.smalltalk;

/**
 * StReadStreamTestExamples class
 * 
 * 	@author:    He Weijie
 * 	@created:   1998/10/09 (by He Weijie)
 * 	@updated:   N/A
 * 	@version:   3.2
 * 	@JDK:       1.1.6 or higher
 * 	@copyright: 1999-2000 SRA (Software Research Associates, Inc.)
 * 
 * 	$Id: StReadStreamTestExamples.java,v 3.2 2000/04/20 09:09:37 nisinaka Exp $
 */
public class StReadStreamTestExamples extends SmalltalkTestExamples {
	/**
	 * The usage of nextPut().
	 *
	 * @return boolean
	 */
	public static boolean Example1() {
		try {
			StReadStream aReadStream = new StReadStream("this is a test");
			while (!aReadStream.atEnd()) {
				System.out.print(aReadStream.next());
			}
			System.out.println();
			return true;
		} catch (Exception e) {
			return false;
		}
	}
	public static void main(String args[]) {
		new StReadStreamTestExamples();
	}
}